Subject: Re: master 60102016e4: Abolish max-specpdl-size (bug#57911)

From: Alan Mackenzie <[email-masked]>
Date: Tue, 27 Sep 2022 10:14:55 +0000

Hello, Mattias.

On Tue, Sep 27, 2022 at 11:01:40 +0200, Mattias Engdegård wrote:
> 27 sep. 2022 kl. 10.47 skrev Alan Mackenzie <[email-masked]>:

> > I've now fixed these warnings.

> Thank you Alan! One detail though:

> >   (let ((-varlist- varlist) msp-binding)

> Here `-varlist-` aliases `varlist`...

> >          (setq -varlist- (delq 'max-specpdl-size -varlist-)))

> ... the original macro argument is mutated, which is directly from the source code -- maybe don't do that in a macro?
> Then we set `-varlist-`, but that's a dead store because...

> >     `(let* ,varlist ,@body)))

> ... we use `varlist`.

Thanks for spotting those mistakes.  I think I've now fixed them with a
second commit.

-- 
Alan Mackenzie (Nuremberg, Germany).